> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# asana-goals

> Asana Goals — create, update, and track goals, metrics, and goal relationships

**Server path:** `/asana-goals` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                                    | Description                            |
| ------------------------------------------------------------------------------------------------------- | -------------------------------------- |
| [`asana_goals_add_custom_field_setting_for_goal`](#asana_goals_add_custom_field_setting_for_goal)       | Add a custom field to a goal           |
| [`asana_goals_add_followers`](#asana_goals_add_followers)                                               | Add a collaborator to a goal           |
| [`asana_goals_add_supporting_relationship`](#asana_goals_add_supporting_relationship)                   | Add a supporting goal relationship     |
| [`asana_goals_create_goal`](#asana_goals_create_goal)                                                   | Create a goal                          |
| [`asana_goals_create_goal_metric`](#asana_goals_create_goal_metric)                                     | Create a goal metric                   |
| [`asana_goals_delete_goal`](#asana_goals_delete_goal)                                                   | Delete a goal                          |
| [`asana_goals_get_goal`](#asana_goals_get_goal)                                                         | Get a goal                             |
| [`asana_goals_get_goal_relationship`](#asana_goals_get_goal_relationship)                               | Get a goal relationship                |
| [`asana_goals_get_goal_relationships`](#asana_goals_get_goal_relationships)                             | Get goal relationships                 |
| [`asana_goals_get_goals`](#asana_goals_get_goals)                                                       | Get goals                              |
| [`asana_goals_get_parent_goals_for_goal`](#asana_goals_get_parent_goals_for_goal)                       | Get parent goals from a goal           |
| [`asana_goals_remove_custom_field_setting_for_goal`](#asana_goals_remove_custom_field_setting_for_goal) | Remove a custom field from a goal      |
| [`asana_goals_remove_followers`](#asana_goals_remove_followers)                                         | Remove a collaborator from a goal      |
| [`asana_goals_remove_supporting_relationship`](#asana_goals_remove_supporting_relationship)             | Removes a supporting goal relationship |
| [`asana_goals_update_goal`](#asana_goals_update_goal)                                                   | Update a goal                          |
| [`asana_goals_update_goal_metric`](#asana_goals_update_goal_metric)                                     | Update a goal metric                   |
| [`asana_goals_update_goal_relationship`](#asana_goals_update_goal_relationship)                         | Update a goal relationship             |

***

## asana\_goals\_add\_custom\_field\_setting\_for\_goal

Add a custom field to a goal

**Parameters:**

| Parameter    | Type    | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------ | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `goal_gid`   | string  | Yes      | —       | Globally unique identifier for the goal.                                                                                                                                                                                                                                            |
| `opt_pretty` | boolean | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `data`       | object  | No       | —       | The data value                                                                                                                                                                                                                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "goal_gid": {
        "type": "string",
        "description": "Globally unique identifier for the goal."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "data": {
        "type": "object",
        "description": "The data value",
        "properties": {
          "custom_field": {
            "description": "Custom Field"
          },
          "is_important": {
            "type": "boolean",
            "description": "Whether this field should be considered important to this container (for instance, to display in the list view of items in the container)."
          },
          "insert_before": {
            "type": "string",
            "description": "A gid of a Custom Field Setting on this container, before which the new Custom Field Setting will be added.  `insert_before` and `insert_after` parameters cannot both be specified."
          },
          "insert_after": {
            "type": "string",
            "description": "A gid of a Custom Field Setting on this container, after which the new Custom Field Setting will be added.  `insert_before` and `insert_after` parameters cannot both be specified."
          }
        },
        "required": [
          "custom_field"
        ]
      }
    },
    "required": [
      "PCID",
      "goal_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_goals\_add\_followers

Add a collaborator to a goal

**Parameters:**

| Parameter    | Type      | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------ | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `goal_gid`   | string    | Yes      | —       | Globally unique identifier for the goal.                                                                                                                                                                                                                                            |
| `opt_pretty` | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `opt_fields` | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                         |
| `data`       | object    | No       | —       | The data value                                                                                                                                                                                                                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "goal_gid": {
        "type": "string",
        "description": "Globally unique identifier for the goal."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "current_status_update",
            "current_status_update.resource_subtype",
            "current_status_update.title",
            "custom_field_settings",
            "custom_field_settings.custom_field",
            "custom_field_settings.custom_field.asana_created_field",
            "custom_field_settings.custom_field.created_by",
            "custom_field_settings.custom_field.created_by.name",
            "custom_field_settings.custom_field.currency_code",
            "custom_field_settings.custom_field.custom_label",
            "custom_field_settings.custom_field.custom_label_position",
            "custom_field_settings.custom_field.date_value",
            "custom_field_settings.custom_field.date_value.date",
            "custom_field_settings.custom_field.date_value.date_time",
            "custom_field_settings.custom_field.default_access_level",
            "custom_field_settings.custom_field.description",
            "custom_field_settings.custom_field.display_value",
            "custom_field_settings.custom_field.enabled",
            "custom_field_settings.custom_field.enum_options",
            "custom_field_settings.custom_field.enum_options.color",
            "custom_field_settings.custom_field.enum_options.enabled",
            "custom_field_settings.custom_field.enum_options.name",
            "custom_field_settings.custom_field.enum_value",
            "custom_field_settings.custom_field.enum_value.color",
            "custom_field_settings.custom_field.enum_value.enabled",
            "custom_field_settings.custom_field.enum_value.name",
            "custom_field_settings.custom_field.format",
            "custom_field_settings.custom_field.has_notifications_enabled",
            "custom_field_settings.custom_field.id_prefix",
            "custom_field_settings.custom_field.input_restrictions",
            "custom_field_settings.custom_field.is_formula_field",
            "custom_field_settings.custom_field.is_global_to_workspace",
            "custom_field_settings.custom_field.is_value_read_only",
            "custom_field_settings.custom_field.multi_enum_values",
            "custom_field_settings.custom_field.multi_enum_values.color",
            "custom_field_settings.custom_field.multi_enum_values.enabled",
            "custom_field_settings.custom_field.multi_enum_values.name",
            "custom_field_settings.custom_field.name",
            "custom_field_settings.custom_field.number_value",
            "custom_field_settings.custom_field.people_value",
            "custom_field_settings.custom_field.people_value.name",
            "custom_field_settings.custom_field.precision",
            "custom_field_settings.custom_field.privacy_setting",
            "custom_field_settings.custom_field.reference_value",
            "custom_field_settings.custom_field.reference_value.name",
            "custom_field_settings.custom_field.representation_type",
            "custom_field_settings.custom_field.resource_subtype",
            "custom_field_settings.custom_field.text_value",
            "custom_field_settings.custom_field.type",
            "custom_field_settings.is_important",
            "custom_field_settings.parent",
            "custom_field_settings.parent.name",
            "custom_field_settings.project",
            "custom_field_settings.project.name",
            "custom_fields",
            "custom_fields.date_value",
            "custom_fields.date_value.date",
            "custom_fields.date_value.date_time",
            "custom_fields.display_value",
            "custom_fields.enabled",
            "custom_fields.enum_options",
            "custom_fields.enum_options.color",
            "custom_fields.enum_options.enabled",
            "custom_fields.enum_options.name",
            "custom_fields.enum_value",
            "custom_fields.enum_value.color",
            "custom_fields.enum_value.enabled",
            "custom_fields.enum_value.name",
            "custom_fields.id_prefix",
            "custom_fields.input_restrictions",
            "custom_fields.is_formula_field",
            "custom_fields.multi_enum_values",
            "custom_fields.multi_enum_values.color",
            "custom_fields.multi_enum_values.enabled",
            "custom_fields.multi_enum_values.name",
            "custom_fields.name",
            "custom_fields.number_value",
            "custom_fields.representation_type",
            "custom_fields.text_value",
            "custom_fields.type",
            "due_on",
            "followers",
            "followers.name",
            "html_notes",
            "is_workspace_level",
            "liked",
            "likes",
            "likes.user",
            "likes.user.name",
            "metric",
            "metric.can_manage",
            "metric.currency_code",
            "metric.current_display_value",
            "metric.current_number_value",
            "metric.initial_number_value",
            "metric.is_custom_weight",
            "metric.precision",
            "metric.progress_source",
            "metric.resource_subtype",
            "metric.target_number_value",
            "metric.unit",
            "name",
            "notes",
            "num_likes",
            "owner",
            "owner.name",
            "start_on",
            "status",
            "team",
            "team.name",
            "time_period",
            "time_period.display_name",
            "time_period.end_on",
            "time_period.period",
            "time_period.start_on",
            "workspace",
            "workspace.name"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      },
      "data": {
        "type": "object",
        "description": "The data value",
        "properties": {
          "followers": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "An array of strings identifying users. These can either be the string \"me\", an email, or the gid of a user."
          }
        },
        "required": [
          "followers"
        ]
      }
    },
    "required": [
      "PCID",
      "goal_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_goals\_add\_supporting\_relationship

Add a supporting goal relationship

**Parameters:**

| Parameter    | Type      | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------ | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `goal_gid`   | string    | Yes      | —       | Globally unique identifier for the goal.                                                                                                                                                                                                                                            |
| `opt_pretty` | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `opt_fields` | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                         |
| `data`       | object    | No       | —       | The data value                                                                                                                                                                                                                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "goal_gid": {
        "type": "string",
        "description": "Globally unique identifier for the goal."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "contribution_weight",
            "resource_subtype",
            "supported_goal",
            "supported_goal.name",
            "supported_goal.owner",
            "supported_goal.owner.name",
            "supporting_resource",
            "supporting_resource.name"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      },
      "data": {
        "type": "object",
        "description": "The data value",
        "properties": {
          "supporting_resource": {
            "type": "string",
            "description": "The gid of the supporting resource to add to the parent goal. Must be the gid of a goal, project, task, or portfolio."
          },
          "insert_before": {
            "type": "string",
            "description": "An id of a subgoal of this parent goal. The new subgoal will be added before the one specified here. `insert_before` and `insert_after` parameters cannot both be specified. Currently only supported when adding a subgoal."
          },
          "insert_after": {
            "type": "string",
            "description": "An id of a subgoal of this parent goal. The new subgoal will be added after the one specified here. `insert_before` and `insert_after` parameters cannot both be specified. Currently only supported when adding a subgoal."
          },
          "contribution_weight": {
            "type": "number",
            "description": "Defines how much the supporting goal’s progress contributes to the parent goal’s overall progress. When used with automatically calculated [Goal Metrics](/reference/creategoalmetric) (such as `progress_source = subgoal_progress`), this value must be greater than 0 for the subgoal to count toward the parent goal’s progress. Accepts a number between 0 and 1 (inclusive). Defaults to `0`."
          }
        },
        "required": [
          "supporting_resource"
        ]
      }
    },
    "required": [
      "PCID",
      "goal_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_goals\_create\_goal

Create a goal

**Parameters:**

| Parameter    | Type      | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------ | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `opt_pretty` | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `opt_fields` | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                         |
| `data`       | object    | No       | —       | The data value                                                                                                                                                                                                                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "current_status_update",
            "current_status_update.resource_subtype",
            "current_status_update.title",
            "custom_field_settings",
            "custom_field_settings.custom_field",
            "custom_field_settings.custom_field.asana_created_field",
            "custom_field_settings.custom_field.created_by",
            "custom_field_settings.custom_field.created_by.name",
            "custom_field_settings.custom_field.currency_code",
            "custom_field_settings.custom_field.custom_label",
            "custom_field_settings.custom_field.custom_label_position",
            "custom_field_settings.custom_field.date_value",
            "custom_field_settings.custom_field.date_value.date",
            "custom_field_settings.custom_field.date_value.date_time",
            "custom_field_settings.custom_field.default_access_level",
            "custom_field_settings.custom_field.description",
            "custom_field_settings.custom_field.display_value",
            "custom_field_settings.custom_field.enabled",
            "custom_field_settings.custom_field.enum_options",
            "custom_field_settings.custom_field.enum_options.color",
            "custom_field_settings.custom_field.enum_options.enabled",
            "custom_field_settings.custom_field.enum_options.name",
            "custom_field_settings.custom_field.enum_value",
            "custom_field_settings.custom_field.enum_value.color",
            "custom_field_settings.custom_field.enum_value.enabled",
            "custom_field_settings.custom_field.enum_value.name",
            "custom_field_settings.custom_field.format",
            "custom_field_settings.custom_field.has_notifications_enabled",
            "custom_field_settings.custom_field.id_prefix",
            "custom_field_settings.custom_field.input_restrictions",
            "custom_field_settings.custom_field.is_formula_field",
            "custom_field_settings.custom_field.is_global_to_workspace",
            "custom_field_settings.custom_field.is_value_read_only",
            "custom_field_settings.custom_field.multi_enum_values",
            "custom_field_settings.custom_field.multi_enum_values.color",
            "custom_field_settings.custom_field.multi_enum_values.enabled",
            "custom_field_settings.custom_field.multi_enum_values.name",
            "custom_field_settings.custom_field.name",
            "custom_field_settings.custom_field.number_value",
            "custom_field_settings.custom_field.people_value",
            "custom_field_settings.custom_field.people_value.name",
            "custom_field_settings.custom_field.precision",
            "custom_field_settings.custom_field.privacy_setting",
            "custom_field_settings.custom_field.reference_value",
            "custom_field_settings.custom_field.reference_value.name",
            "custom_field_settings.custom_field.representation_type",
            "custom_field_settings.custom_field.resource_subtype",
            "custom_field_settings.custom_field.text_value",
            "custom_field_settings.custom_field.type",
            "custom_field_settings.is_important",
            "custom_field_settings.parent",
            "custom_field_settings.parent.name",
            "custom_field_settings.project",
            "custom_field_settings.project.name",
            "custom_fields",
            "custom_fields.date_value",
            "custom_fields.date_value.date",
            "custom_fields.date_value.date_time",
            "custom_fields.display_value",
            "custom_fields.enabled",
            "custom_fields.enum_options",
            "custom_fields.enum_options.color",
            "custom_fields.enum_options.enabled",
            "custom_fields.enum_options.name",
            "custom_fields.enum_value",
            "custom_fields.enum_value.color",
            "custom_fields.enum_value.enabled",
            "custom_fields.enum_value.name",
            "custom_fields.id_prefix",
            "custom_fields.input_restrictions",
            "custom_fields.is_formula_field",
            "custom_fields.multi_enum_values",
            "custom_fields.multi_enum_values.color",
            "custom_fields.multi_enum_values.enabled",
            "custom_fields.multi_enum_values.name",
            "custom_fields.name",
            "custom_fields.number_value",
            "custom_fields.representation_type",
            "custom_fields.text_value",
            "custom_fields.type",
            "due_on",
            "followers",
            "followers.name",
            "html_notes",
            "is_workspace_level",
            "liked",
            "likes",
            "likes.user",
            "likes.user.name",
            "metric",
            "metric.can_manage",
            "metric.currency_code",
            "metric.current_display_value",
            "metric.current_number_value",
            "metric.initial_number_value",
            "metric.is_custom_weight",
            "metric.precision",
            "metric.progress_source",
            "metric.resource_subtype",
            "metric.target_number_value",
            "metric.unit",
            "name",
            "notes",
            "num_likes",
            "owner",
            "owner.name",
            "start_on",
            "status",
            "team",
            "team.name",
            "time_period",
            "time_period.display_name",
            "time_period.end_on",
            "time_period.period",
            "time_period.start_on",
            "workspace",
            "workspace.name"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      },
      "data": {
        "description": "The data value"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## asana\_goals\_create\_goal\_metric

Create a goal metric

**Parameters:**

| Parameter    | Type      | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------ | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `goal_gid`   | string    | Yes      | —       | Globally unique identifier for the goal.                                                                                                                                                                                                                                            |
| `opt_pretty` | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `opt_fields` | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                         |
| `data`       | object    | No       | —       | A generic Asana Resource, containing a globally unique identifier.                                                                                                                                                                                                                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "goal_gid": {
        "type": "string",
        "description": "Globally unique identifier for the goal."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "current_status_update",
            "current_status_update.resource_subtype",
            "current_status_update.title",
            "custom_field_settings",
            "custom_field_settings.custom_field",
            "custom_field_settings.custom_field.asana_created_field",
            "custom_field_settings.custom_field.created_by",
            "custom_field_settings.custom_field.created_by.name",
            "custom_field_settings.custom_field.currency_code",
            "custom_field_settings.custom_field.custom_label",
            "custom_field_settings.custom_field.custom_label_position",
            "custom_field_settings.custom_field.date_value",
            "custom_field_settings.custom_field.date_value.date",
            "custom_field_settings.custom_field.date_value.date_time",
            "custom_field_settings.custom_field.default_access_level",
            "custom_field_settings.custom_field.description",
            "custom_field_settings.custom_field.display_value",
            "custom_field_settings.custom_field.enabled",
            "custom_field_settings.custom_field.enum_options",
            "custom_field_settings.custom_field.enum_options.color",
            "custom_field_settings.custom_field.enum_options.enabled",
            "custom_field_settings.custom_field.enum_options.name",
            "custom_field_settings.custom_field.enum_value",
            "custom_field_settings.custom_field.enum_value.color",
            "custom_field_settings.custom_field.enum_value.enabled",
            "custom_field_settings.custom_field.enum_value.name",
            "custom_field_settings.custom_field.format",
            "custom_field_settings.custom_field.has_notifications_enabled",
            "custom_field_settings.custom_field.id_prefix",
            "custom_field_settings.custom_field.input_restrictions",
            "custom_field_settings.custom_field.is_formula_field",
            "custom_field_settings.custom_field.is_global_to_workspace",
            "custom_field_settings.custom_field.is_value_read_only",
            "custom_field_settings.custom_field.multi_enum_values",
            "custom_field_settings.custom_field.multi_enum_values.color",
            "custom_field_settings.custom_field.multi_enum_values.enabled",
            "custom_field_settings.custom_field.multi_enum_values.name",
            "custom_field_settings.custom_field.name",
            "custom_field_settings.custom_field.number_value",
            "custom_field_settings.custom_field.people_value",
            "custom_field_settings.custom_field.people_value.name",
            "custom_field_settings.custom_field.precision",
            "custom_field_settings.custom_field.privacy_setting",
            "custom_field_settings.custom_field.reference_value",
            "custom_field_settings.custom_field.reference_value.name",
            "custom_field_settings.custom_field.representation_type",
            "custom_field_settings.custom_field.resource_subtype",
            "custom_field_settings.custom_field.text_value",
            "custom_field_settings.custom_field.type",
            "custom_field_settings.is_important",
            "custom_field_settings.parent",
            "custom_field_settings.parent.name",
            "custom_field_settings.project",
            "custom_field_settings.project.name",
            "custom_fields",
            "custom_fields.date_value",
            "custom_fields.date_value.date",
            "custom_fields.date_value.date_time",
            "custom_fields.display_value",
            "custom_fields.enabled",
            "custom_fields.enum_options",
            "custom_fields.enum_options.color",
            "custom_fields.enum_options.enabled",
            "custom_fields.enum_options.name",
            "custom_fields.enum_value",
            "custom_fields.enum_value.color",
            "custom_fields.enum_value.enabled",
            "custom_fields.enum_value.name",
            "custom_fields.id_prefix",
            "custom_fields.input_restrictions",
            "custom_fields.is_formula_field",
            "custom_fields.multi_enum_values",
            "custom_fields.multi_enum_values.color",
            "custom_fields.multi_enum_values.enabled",
            "custom_fields.multi_enum_values.name",
            "custom_fields.name",
            "custom_fields.number_value",
            "custom_fields.representation_type",
            "custom_fields.text_value",
            "custom_fields.type",
            "due_on",
            "followers",
            "followers.name",
            "html_notes",
            "is_workspace_level",
            "liked",
            "likes",
            "likes.user",
            "likes.user.name",
            "metric",
            "metric.can_manage",
            "metric.currency_code",
            "metric.current_display_value",
            "metric.current_number_value",
            "metric.initial_number_value",
            "metric.is_custom_weight",
            "metric.precision",
            "metric.progress_source",
            "metric.resource_subtype",
            "metric.target_number_value",
            "metric.unit",
            "name",
            "notes",
            "num_likes",
            "owner",
            "owner.name",
            "start_on",
            "status",
            "team",
            "team.name",
            "time_period",
            "time_period.display_name",
            "time_period.end_on",
            "time_period.period",
            "time_period.start_on",
            "workspace",
            "workspace.name"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      },
      "data": {
        "type": "object",
        "description": "A generic Asana Resource, containing a globally unique identifier.",
        "properties": {
          "gid": {
            "type": "string",
            "description": "Globally unique identifier of the resource, as a string."
          },
          "resource_type": {
            "type": "string",
            "description": "The base type of this resource."
          },
          "resource_subtype": {
            "type": "string",
            "description": "The subtype of this resource. Different subtypes retain many of the same fields and behavior, but may render differently in Asana or represent resources with different semantic meaning.",
            "enum": [
              "number"
            ]
          },
          "precision": {
            "type": "integer",
            "description": "*Conditional*. Only relevant for goal metrics of type `Number`. This field dictates the number of places after the decimal to round to, i.e. 0 is integer values, 1 rounds to the nearest tenth, and so on. Must be between 0 and 6, inclusive. For percentage format, this may be unintuitive, as a value of 0.25 has a precision of 0, while a value of 0.251 has a precision of 1. This is due to 0.25 being displayed as 25%."
          },
          "unit": {
            "type": "string",
            "description": "A supported unit of measure for the goal metric, or none.",
            "enum": [
              "none",
              "currency",
              "percentage"
            ]
          },
          "currency_code": {
            "type": "string",
            "description": "ISO 4217 currency code to format this custom field. This will be null if the `unit` is not `currency`."
          },
          "initial_number_value": {
            "type": "number",
            "description": "This number is the start value of a goal metric of type number."
          },
          "target_number_value": {
            "type": "number",
            "description": "This number is the end value of a goal metric of type number. This number cannot equal `initial_number_value`."
          },
          "current_number_value": {
            "type": "number",
            "description": "This number is the current value of a goal metric of type number."
          },
          "current_display_value": {
            "type": "string",
            "description": "This string is the current value of a goal metric of type string."
          },
          "progress_source": {
            "type": "string",
            "description": "This field defines how the progress value of a goal metric is being calculated. A goal's progress can be provided manually by the user, calculated automatically from contributing subgoals, projects, or tasks, or managed by an integration with an external data source, such as Salesforce.",
            "enum": [
              "manual",
              "subgoal_progress",
              "project_task_completion",
              "project_milestone_completion",
              "task_completion",
              "external"
            ]
          },
          "is_custom_weight": {
            "type": "boolean",
            "description": "*Conditional*. Only relevant if `metric.progress_source` is one of `subgoal_progress`, `project_task_completion`, `project_milestone_completion`, or `task_completion`. If true, we use the supporting object's custom weight to calculate the goal's progress. If false, we treat all supporting objects as equally weighted"
          }
        }
      }
    },
    "required": [
      "PCID",
      "goal_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_goals\_delete\_goal

Delete a goal

**Parameters:**

| Parameter    | Type    | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------ | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `goal_gid`   | string  | Yes      | —       | Globally unique identifier for the goal.                                                                                                                                                                                                                                            |
| `opt_pretty` | boolean | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "goal_gid": {
        "type": "string",
        "description": "Globally unique identifier for the goal."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      }
    },
    "required": [
      "PCID",
      "goal_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_goals\_get\_goal

Get a goal

**Parameters:**

| Parameter    | Type      | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------ | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `goal_gid`   | string    | Yes      | —       | Globally unique identifier for the goal.                                                                                                                                                                                                                                            |
| `opt_pretty` | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `opt_fields` | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "goal_gid": {
        "type": "string",
        "description": "Globally unique identifier for the goal."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "current_status_update",
            "current_status_update.resource_subtype",
            "current_status_update.title",
            "custom_field_settings",
            "custom_field_settings.custom_field",
            "custom_field_settings.custom_field.asana_created_field",
            "custom_field_settings.custom_field.created_by",
            "custom_field_settings.custom_field.created_by.name",
            "custom_field_settings.custom_field.currency_code",
            "custom_field_settings.custom_field.custom_label",
            "custom_field_settings.custom_field.custom_label_position",
            "custom_field_settings.custom_field.date_value",
            "custom_field_settings.custom_field.date_value.date",
            "custom_field_settings.custom_field.date_value.date_time",
            "custom_field_settings.custom_field.default_access_level",
            "custom_field_settings.custom_field.description",
            "custom_field_settings.custom_field.display_value",
            "custom_field_settings.custom_field.enabled",
            "custom_field_settings.custom_field.enum_options",
            "custom_field_settings.custom_field.enum_options.color",
            "custom_field_settings.custom_field.enum_options.enabled",
            "custom_field_settings.custom_field.enum_options.name",
            "custom_field_settings.custom_field.enum_value",
            "custom_field_settings.custom_field.enum_value.color",
            "custom_field_settings.custom_field.enum_value.enabled",
            "custom_field_settings.custom_field.enum_value.name",
            "custom_field_settings.custom_field.format",
            "custom_field_settings.custom_field.has_notifications_enabled",
            "custom_field_settings.custom_field.id_prefix",
            "custom_field_settings.custom_field.input_restrictions",
            "custom_field_settings.custom_field.is_formula_field",
            "custom_field_settings.custom_field.is_global_to_workspace",
            "custom_field_settings.custom_field.is_value_read_only",
            "custom_field_settings.custom_field.multi_enum_values",
            "custom_field_settings.custom_field.multi_enum_values.color",
            "custom_field_settings.custom_field.multi_enum_values.enabled",
            "custom_field_settings.custom_field.multi_enum_values.name",
            "custom_field_settings.custom_field.name",
            "custom_field_settings.custom_field.number_value",
            "custom_field_settings.custom_field.people_value",
            "custom_field_settings.custom_field.people_value.name",
            "custom_field_settings.custom_field.precision",
            "custom_field_settings.custom_field.privacy_setting",
            "custom_field_settings.custom_field.reference_value",
            "custom_field_settings.custom_field.reference_value.name",
            "custom_field_settings.custom_field.representation_type",
            "custom_field_settings.custom_field.resource_subtype",
            "custom_field_settings.custom_field.text_value",
            "custom_field_settings.custom_field.type",
            "custom_field_settings.is_important",
            "custom_field_settings.parent",
            "custom_field_settings.parent.name",
            "custom_field_settings.project",
            "custom_field_settings.project.name",
            "custom_fields",
            "custom_fields.date_value",
            "custom_fields.date_value.date",
            "custom_fields.date_value.date_time",
            "custom_fields.display_value",
            "custom_fields.enabled",
            "custom_fields.enum_options",
            "custom_fields.enum_options.color",
            "custom_fields.enum_options.enabled",
            "custom_fields.enum_options.name",
            "custom_fields.enum_value",
            "custom_fields.enum_value.color",
            "custom_fields.enum_value.enabled",
            "custom_fields.enum_value.name",
            "custom_fields.id_prefix",
            "custom_fields.input_restrictions",
            "custom_fields.is_formula_field",
            "custom_fields.multi_enum_values",
            "custom_fields.multi_enum_values.color",
            "custom_fields.multi_enum_values.enabled",
            "custom_fields.multi_enum_values.name",
            "custom_fields.name",
            "custom_fields.number_value",
            "custom_fields.representation_type",
            "custom_fields.text_value",
            "custom_fields.type",
            "due_on",
            "followers",
            "followers.name",
            "html_notes",
            "is_workspace_level",
            "liked",
            "likes",
            "likes.user",
            "likes.user.name",
            "metric",
            "metric.can_manage",
            "metric.currency_code",
            "metric.current_display_value",
            "metric.current_number_value",
            "metric.initial_number_value",
            "metric.is_custom_weight",
            "metric.precision",
            "metric.progress_source",
            "metric.resource_subtype",
            "metric.target_number_value",
            "metric.unit",
            "name",
            "notes",
            "num_likes",
            "owner",
            "owner.name",
            "start_on",
            "status",
            "team",
            "team.name",
            "time_period",
            "time_period.display_name",
            "time_period.end_on",
            "time_period.period",
            "time_period.start_on",
            "workspace",
            "workspace.name"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      }
    },
    "required": [
      "PCID",
      "goal_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_goals\_get\_goal\_relationship

Get a goal relationship

**Parameters:**

| Parameter               | Type      | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ----------------------- | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `goal_relationship_gid` | string    | Yes      | —       | Globally unique identifier for the goal relationship.                                                                                                                                                                                                                               |
| `opt_pretty`            | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `opt_fields`            | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "goal_relationship_gid": {
        "type": "string",
        "description": "Globally unique identifier for the goal relationship."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "contribution_weight",
            "resource_subtype",
            "supported_goal",
            "supported_goal.name",
            "supported_goal.owner",
            "supported_goal.owner.name",
            "supporting_resource",
            "supporting_resource.name"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      }
    },
    "required": [
      "PCID",
      "goal_relationship_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_goals\_get\_goal\_relationships

Get goal relationships

**Parameters:**

| Parameter          | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                    |
| ------------------ | --------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `opt_pretty`       | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.                                                                            |
| `limit`            | integer   | No       | —       | Results per page. The number of objects to return per page. The value must be between 1 and 100.                                                                                                                                                                                                                                                               |
| `offset`           | string    | No       | —       | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.* |
| `supported_goal`   | string    | Yes      | —       | Globally unique identifier for the supported goal in the goal relationship.                                                                                                                                                                                                                                                                                    |
| `resource_subtype` | string    | No       | —       | If provided, filter to goal relationships with a given resource\_subtype.                                                                                                                                                                                                                                                                                      |
| `opt_fields`       | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                                                                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "limit": {
        "type": "integer",
        "description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
      },
      "offset": {
        "type": "string",
        "description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
      },
      "supported_goal": {
        "type": "string",
        "description": "Globally unique identifier for the supported goal in the goal relationship."
      },
      "resource_subtype": {
        "type": "string",
        "description": "If provided, filter to goal relationships with a given resource_subtype."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "contribution_weight",
            "offset",
            "path",
            "resource_subtype",
            "supported_goal",
            "supported_goal.name",
            "supported_goal.owner",
            "supported_goal.owner.name",
            "supporting_resource",
            "supporting_resource.name",
            "uri"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      }
    },
    "required": [
      "PCID",
      "supported_goal"
    ]
  }
  ```
</Expandable>

***

## asana\_goals\_get\_goals

Get goals

**Parameters:**

| Parameter            | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                    |
| -------------------- | --------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `opt_pretty`         | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.                                                                            |
| `portfolio`          | string    | No       | —       | Globally unique identifier for supporting portfolio.                                                                                                                                                                                                                                                                                                           |
| `project`            | string    | No       | —       | Globally unique identifier for supporting project.                                                                                                                                                                                                                                                                                                             |
| `task`               | string    | No       | —       | Globally unique identifier for supporting task.                                                                                                                                                                                                                                                                                                                |
| `is_workspace_level` | boolean   | No       | —       | Filter to goals with is\_workspace\_level set to query value. Must be used with the workspace parameter.                                                                                                                                                                                                                                                       |
| `team`               | string    | No       | —       | Globally unique identifier for the team.                                                                                                                                                                                                                                                                                                                       |
| `workspace`          | string    | No       | —       | Globally unique identifier for the workspace.                                                                                                                                                                                                                                                                                                                  |
| `time_periods`       | string\[] | No       | —       | Globally unique identifiers for the time periods.                                                                                                                                                                                                                                                                                                              |
| `limit`              | integer   | No       | —       | Results per page. The number of objects to return per page. The value must be between 1 and 100.                                                                                                                                                                                                                                                               |
| `offset`             | string    | No       | —       | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.* |
| `opt_fields`         | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                                                                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "portfolio": {
        "type": "string",
        "description": "Globally unique identifier for supporting portfolio."
      },
      "project": {
        "type": "string",
        "description": "Globally unique identifier for supporting project."
      },
      "task": {
        "type": "string",
        "description": "Globally unique identifier for supporting task."
      },
      "is_workspace_level": {
        "type": "boolean",
        "description": "Filter to goals with is_workspace_level set to query value. Must be used with the workspace parameter."
      },
      "team": {
        "type": "string",
        "description": "Globally unique identifier for the team."
      },
      "workspace": {
        "type": "string",
        "description": "Globally unique identifier for the workspace."
      },
      "time_periods": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Globally unique identifiers for the time periods."
      },
      "limit": {
        "type": "integer",
        "description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
      },
      "offset": {
        "type": "string",
        "description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "current_status_update",
            "current_status_update.resource_subtype",
            "current_status_update.title",
            "custom_field_settings",
            "custom_field_settings.custom_field",
            "custom_field_settings.custom_field.asana_created_field",
            "custom_field_settings.custom_field.created_by",
            "custom_field_settings.custom_field.created_by.name",
            "custom_field_settings.custom_field.currency_code",
            "custom_field_settings.custom_field.custom_label",
            "custom_field_settings.custom_field.custom_label_position",
            "custom_field_settings.custom_field.date_value",
            "custom_field_settings.custom_field.date_value.date",
            "custom_field_settings.custom_field.date_value.date_time",
            "custom_field_settings.custom_field.default_access_level",
            "custom_field_settings.custom_field.description",
            "custom_field_settings.custom_field.display_value",
            "custom_field_settings.custom_field.enabled",
            "custom_field_settings.custom_field.enum_options",
            "custom_field_settings.custom_field.enum_options.color",
            "custom_field_settings.custom_field.enum_options.enabled",
            "custom_field_settings.custom_field.enum_options.name",
            "custom_field_settings.custom_field.enum_value",
            "custom_field_settings.custom_field.enum_value.color",
            "custom_field_settings.custom_field.enum_value.enabled",
            "custom_field_settings.custom_field.enum_value.name",
            "custom_field_settings.custom_field.format",
            "custom_field_settings.custom_field.has_notifications_enabled",
            "custom_field_settings.custom_field.id_prefix",
            "custom_field_settings.custom_field.input_restrictions",
            "custom_field_settings.custom_field.is_formula_field",
            "custom_field_settings.custom_field.is_global_to_workspace",
            "custom_field_settings.custom_field.is_value_read_only",
            "custom_field_settings.custom_field.multi_enum_values",
            "custom_field_settings.custom_field.multi_enum_values.color",
            "custom_field_settings.custom_field.multi_enum_values.enabled",
            "custom_field_settings.custom_field.multi_enum_values.name",
            "custom_field_settings.custom_field.name",
            "custom_field_settings.custom_field.number_value",
            "custom_field_settings.custom_field.people_value",
            "custom_field_settings.custom_field.people_value.name",
            "custom_field_settings.custom_field.precision",
            "custom_field_settings.custom_field.privacy_setting",
            "custom_field_settings.custom_field.reference_value",
            "custom_field_settings.custom_field.reference_value.name",
            "custom_field_settings.custom_field.representation_type",
            "custom_field_settings.custom_field.resource_subtype",
            "custom_field_settings.custom_field.text_value",
            "custom_field_settings.custom_field.type",
            "custom_field_settings.is_important",
            "custom_field_settings.parent",
            "custom_field_settings.parent.name",
            "custom_field_settings.project",
            "custom_field_settings.project.name",
            "custom_fields",
            "custom_fields.date_value",
            "custom_fields.date_value.date",
            "custom_fields.date_value.date_time",
            "custom_fields.display_value",
            "custom_fields.enabled",
            "custom_fields.enum_options",
            "custom_fields.enum_options.color",
            "custom_fields.enum_options.enabled",
            "custom_fields.enum_options.name",
            "custom_fields.enum_value",
            "custom_fields.enum_value.color",
            "custom_fields.enum_value.enabled",
            "custom_fields.enum_value.name",
            "custom_fields.id_prefix",
            "custom_fields.input_restrictions",
            "custom_fields.is_formula_field",
            "custom_fields.multi_enum_values",
            "custom_fields.multi_enum_values.color",
            "custom_fields.multi_enum_values.enabled",
            "custom_fields.multi_enum_values.name",
            "custom_fields.name",
            "custom_fields.number_value",
            "custom_fields.representation_type",
            "custom_fields.text_value",
            "custom_fields.type",
            "due_on",
            "followers",
            "followers.name",
            "html_notes",
            "is_workspace_level",
            "liked",
            "likes",
            "likes.user",
            "likes.user.name",
            "metric",
            "metric.can_manage",
            "metric.currency_code",
            "metric.current_display_value",
            "metric.current_number_value",
            "metric.initial_number_value",
            "metric.is_custom_weight",
            "metric.precision",
            "metric.progress_source",
            "metric.resource_subtype",
            "metric.target_number_value",
            "metric.unit",
            "name",
            "notes",
            "num_likes",
            "offset",
            "owner",
            "owner.name",
            "path",
            "start_on",
            "status",
            "team",
            "team.name",
            "time_period",
            "time_period.display_name",
            "time_period.end_on",
            "time_period.period",
            "time_period.start_on",
            "uri",
            "workspace",
            "workspace.name"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## asana\_goals\_get\_parent\_goals\_for\_goal

Get parent goals from a goal

**Parameters:**

| Parameter    | Type      | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------ | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `goal_gid`   | string    | Yes      | —       | Globally unique identifier for the goal.                                                                                                                                                                                                                                            |
| `opt_pretty` | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `opt_fields` | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "goal_gid": {
        "type": "string",
        "description": "Globally unique identifier for the goal."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "current_status_update",
            "current_status_update.resource_subtype",
            "current_status_update.title",
            "custom_field_settings",
            "custom_field_settings.custom_field",
            "custom_field_settings.custom_field.asana_created_field",
            "custom_field_settings.custom_field.created_by",
            "custom_field_settings.custom_field.created_by.name",
            "custom_field_settings.custom_field.currency_code",
            "custom_field_settings.custom_field.custom_label",
            "custom_field_settings.custom_field.custom_label_position",
            "custom_field_settings.custom_field.date_value",
            "custom_field_settings.custom_field.date_value.date",
            "custom_field_settings.custom_field.date_value.date_time",
            "custom_field_settings.custom_field.default_access_level",
            "custom_field_settings.custom_field.description",
            "custom_field_settings.custom_field.display_value",
            "custom_field_settings.custom_field.enabled",
            "custom_field_settings.custom_field.enum_options",
            "custom_field_settings.custom_field.enum_options.color",
            "custom_field_settings.custom_field.enum_options.enabled",
            "custom_field_settings.custom_field.enum_options.name",
            "custom_field_settings.custom_field.enum_value",
            "custom_field_settings.custom_field.enum_value.color",
            "custom_field_settings.custom_field.enum_value.enabled",
            "custom_field_settings.custom_field.enum_value.name",
            "custom_field_settings.custom_field.format",
            "custom_field_settings.custom_field.has_notifications_enabled",
            "custom_field_settings.custom_field.id_prefix",
            "custom_field_settings.custom_field.input_restrictions",
            "custom_field_settings.custom_field.is_formula_field",
            "custom_field_settings.custom_field.is_global_to_workspace",
            "custom_field_settings.custom_field.is_value_read_only",
            "custom_field_settings.custom_field.multi_enum_values",
            "custom_field_settings.custom_field.multi_enum_values.color",
            "custom_field_settings.custom_field.multi_enum_values.enabled",
            "custom_field_settings.custom_field.multi_enum_values.name",
            "custom_field_settings.custom_field.name",
            "custom_field_settings.custom_field.number_value",
            "custom_field_settings.custom_field.people_value",
            "custom_field_settings.custom_field.people_value.name",
            "custom_field_settings.custom_field.precision",
            "custom_field_settings.custom_field.privacy_setting",
            "custom_field_settings.custom_field.reference_value",
            "custom_field_settings.custom_field.reference_value.name",
            "custom_field_settings.custom_field.representation_type",
            "custom_field_settings.custom_field.resource_subtype",
            "custom_field_settings.custom_field.text_value",
            "custom_field_settings.custom_field.type",
            "custom_field_settings.is_important",
            "custom_field_settings.parent",
            "custom_field_settings.parent.name",
            "custom_field_settings.project",
            "custom_field_settings.project.name",
            "custom_fields",
            "custom_fields.date_value",
            "custom_fields.date_value.date",
            "custom_fields.date_value.date_time",
            "custom_fields.display_value",
            "custom_fields.enabled",
            "custom_fields.enum_options",
            "custom_fields.enum_options.color",
            "custom_fields.enum_options.enabled",
            "custom_fields.enum_options.name",
            "custom_fields.enum_value",
            "custom_fields.enum_value.color",
            "custom_fields.enum_value.enabled",
            "custom_fields.enum_value.name",
            "custom_fields.id_prefix",
            "custom_fields.input_restrictions",
            "custom_fields.is_formula_field",
            "custom_fields.multi_enum_values",
            "custom_fields.multi_enum_values.color",
            "custom_fields.multi_enum_values.enabled",
            "custom_fields.multi_enum_values.name",
            "custom_fields.name",
            "custom_fields.number_value",
            "custom_fields.representation_type",
            "custom_fields.text_value",
            "custom_fields.type",
            "due_on",
            "followers",
            "followers.name",
            "html_notes",
            "is_workspace_level",
            "liked",
            "likes",
            "likes.user",
            "likes.user.name",
            "metric",
            "metric.can_manage",
            "metric.currency_code",
            "metric.current_display_value",
            "metric.current_number_value",
            "metric.initial_number_value",
            "metric.is_custom_weight",
            "metric.precision",
            "metric.progress_source",
            "metric.resource_subtype",
            "metric.target_number_value",
            "metric.unit",
            "name",
            "notes",
            "num_likes",
            "owner",
            "owner.name",
            "start_on",
            "status",
            "team",
            "team.name",
            "time_period",
            "time_period.display_name",
            "time_period.end_on",
            "time_period.period",
            "time_period.start_on",
            "workspace",
            "workspace.name"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      }
    },
    "required": [
      "PCID",
      "goal_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_goals\_remove\_custom\_field\_setting\_for\_goal

Remove a custom field from a goal

**Parameters:**

| Parameter    | Type    | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------ | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `goal_gid`   | string  | Yes      | —       | Globally unique identifier for the goal.                                                                                                                                                                                                                                            |
| `opt_pretty` | boolean | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `data`       | object  | No       | —       | The data value                                                                                                                                                                                                                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "goal_gid": {
        "type": "string",
        "description": "Globally unique identifier for the goal."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "data": {
        "type": "object",
        "description": "The data value",
        "properties": {
          "custom_field": {
            "type": "string",
            "description": "The custom field to remove from this portfolio."
          }
        },
        "required": [
          "custom_field"
        ]
      }
    },
    "required": [
      "PCID",
      "goal_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_goals\_remove\_followers

Remove a collaborator from a goal

**Parameters:**

| Parameter    | Type      | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------ | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `goal_gid`   | string    | Yes      | —       | Globally unique identifier for the goal.                                                                                                                                                                                                                                            |
| `opt_pretty` | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `opt_fields` | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                         |
| `data`       | object    | No       | —       | The data value                                                                                                                                                                                                                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "goal_gid": {
        "type": "string",
        "description": "Globally unique identifier for the goal."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "current_status_update",
            "current_status_update.resource_subtype",
            "current_status_update.title",
            "custom_field_settings",
            "custom_field_settings.custom_field",
            "custom_field_settings.custom_field.asana_created_field",
            "custom_field_settings.custom_field.created_by",
            "custom_field_settings.custom_field.created_by.name",
            "custom_field_settings.custom_field.currency_code",
            "custom_field_settings.custom_field.custom_label",
            "custom_field_settings.custom_field.custom_label_position",
            "custom_field_settings.custom_field.date_value",
            "custom_field_settings.custom_field.date_value.date",
            "custom_field_settings.custom_field.date_value.date_time",
            "custom_field_settings.custom_field.default_access_level",
            "custom_field_settings.custom_field.description",
            "custom_field_settings.custom_field.display_value",
            "custom_field_settings.custom_field.enabled",
            "custom_field_settings.custom_field.enum_options",
            "custom_field_settings.custom_field.enum_options.color",
            "custom_field_settings.custom_field.enum_options.enabled",
            "custom_field_settings.custom_field.enum_options.name",
            "custom_field_settings.custom_field.enum_value",
            "custom_field_settings.custom_field.enum_value.color",
            "custom_field_settings.custom_field.enum_value.enabled",
            "custom_field_settings.custom_field.enum_value.name",
            "custom_field_settings.custom_field.format",
            "custom_field_settings.custom_field.has_notifications_enabled",
            "custom_field_settings.custom_field.id_prefix",
            "custom_field_settings.custom_field.input_restrictions",
            "custom_field_settings.custom_field.is_formula_field",
            "custom_field_settings.custom_field.is_global_to_workspace",
            "custom_field_settings.custom_field.is_value_read_only",
            "custom_field_settings.custom_field.multi_enum_values",
            "custom_field_settings.custom_field.multi_enum_values.color",
            "custom_field_settings.custom_field.multi_enum_values.enabled",
            "custom_field_settings.custom_field.multi_enum_values.name",
            "custom_field_settings.custom_field.name",
            "custom_field_settings.custom_field.number_value",
            "custom_field_settings.custom_field.people_value",
            "custom_field_settings.custom_field.people_value.name",
            "custom_field_settings.custom_field.precision",
            "custom_field_settings.custom_field.privacy_setting",
            "custom_field_settings.custom_field.reference_value",
            "custom_field_settings.custom_field.reference_value.name",
            "custom_field_settings.custom_field.representation_type",
            "custom_field_settings.custom_field.resource_subtype",
            "custom_field_settings.custom_field.text_value",
            "custom_field_settings.custom_field.type",
            "custom_field_settings.is_important",
            "custom_field_settings.parent",
            "custom_field_settings.parent.name",
            "custom_field_settings.project",
            "custom_field_settings.project.name",
            "custom_fields",
            "custom_fields.date_value",
            "custom_fields.date_value.date",
            "custom_fields.date_value.date_time",
            "custom_fields.display_value",
            "custom_fields.enabled",
            "custom_fields.enum_options",
            "custom_fields.enum_options.color",
            "custom_fields.enum_options.enabled",
            "custom_fields.enum_options.name",
            "custom_fields.enum_value",
            "custom_fields.enum_value.color",
            "custom_fields.enum_value.enabled",
            "custom_fields.enum_value.name",
            "custom_fields.id_prefix",
            "custom_fields.input_restrictions",
            "custom_fields.is_formula_field",
            "custom_fields.multi_enum_values",
            "custom_fields.multi_enum_values.color",
            "custom_fields.multi_enum_values.enabled",
            "custom_fields.multi_enum_values.name",
            "custom_fields.name",
            "custom_fields.number_value",
            "custom_fields.representation_type",
            "custom_fields.text_value",
            "custom_fields.type",
            "due_on",
            "followers",
            "followers.name",
            "html_notes",
            "is_workspace_level",
            "liked",
            "likes",
            "likes.user",
            "likes.user.name",
            "metric",
            "metric.can_manage",
            "metric.currency_code",
            "metric.current_display_value",
            "metric.current_number_value",
            "metric.initial_number_value",
            "metric.is_custom_weight",
            "metric.precision",
            "metric.progress_source",
            "metric.resource_subtype",
            "metric.target_number_value",
            "metric.unit",
            "name",
            "notes",
            "num_likes",
            "owner",
            "owner.name",
            "start_on",
            "status",
            "team",
            "team.name",
            "time_period",
            "time_period.display_name",
            "time_period.end_on",
            "time_period.period",
            "time_period.start_on",
            "workspace",
            "workspace.name"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      },
      "data": {
        "type": "object",
        "description": "The data value",
        "properties": {
          "followers": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "An array of strings identifying users. These can either be the string \"me\", an email, or the gid of a user."
          }
        },
        "required": [
          "followers"
        ]
      }
    },
    "required": [
      "PCID",
      "goal_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_goals\_remove\_supporting\_relationship

Removes a supporting goal relationship

**Parameters:**

| Parameter    | Type    | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------ | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `goal_gid`   | string  | Yes      | —       | Globally unique identifier for the goal.                                                                                                                                                                                                                                            |
| `opt_pretty` | boolean | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `data`       | object  | No       | —       | The data value                                                                                                                                                                                                                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "goal_gid": {
        "type": "string",
        "description": "Globally unique identifier for the goal."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "data": {
        "type": "object",
        "description": "The data value",
        "properties": {
          "supporting_resource": {
            "type": "string",
            "description": "The gid of the supporting resource to remove from the parent goal. Must be the gid of a goal, project, task, or portfolio."
          }
        },
        "required": [
          "supporting_resource"
        ]
      }
    },
    "required": [
      "PCID",
      "goal_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_goals\_update\_goal

Update a goal

**Parameters:**

| Parameter    | Type      | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------ | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
[...]
